## org.eclipse.amp.escape.ascape.adapt
Class HostFilter

    java.lang.Object
      org.eclipse.amp.escape.ascape.adapt.HostFilter

All Implemented Interfaces:
  org.eclipse.jface.viewers.IFilter

    public class HostFilter

extends java.lang.Object
implements org.eclipse.jface.viewers.IFilter

The Class HostFilter.

Constructor Summary
`HostFilter()`

Method Summary
`boolean` `select(java.lang.Object object)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HostFilter

    public HostFilter()

Method Detail

### select

    public boolean select(java.lang.Object object)

  Specified by:
    `select` in interface `org.eclipse.jface.viewers.IFilter`
  Parameters:
    `object` -
  Returns:
  See Also:
    `IFilter.select(java.lang.Object)`